#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cipher-aes
version: 0.2.8
id: cipher-aes-0.2.8-6d4648d4a9e90f3ca8ab7beeb278dc34

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cipher-aes
package-url:
synopsis: Fast AES cipher implementation with advanced mode of operations
description: Fast AES cipher implementation with advanced mode of operations.
             .
             The modes of operations available are ECB (Electronic code book),
             CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
             GCM (Galois Counter Mode).
             .
             The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
             but fallback gracefully to a software C implementation.
             .
             The software implementation uses S-Boxes, which might suffer for cache timing issues.
             However do notes that most other known software implementations, including very popular
             one (openssl, gnutls) also uses similar implementation. If it matters for your
             case, you should make sure you have AES-NI available, or you'\''ll need to use a different
             implementation.
             .
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Cipher.AES
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/cipher-aes-0.2.8
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/cipher-aes-0.2.8
              /usr/local/lib
hs-libraries: HScipher-aes-0.2.8
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         byteable-0.1.1-6b40a7289955d8e210621adb5e9b0b58
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         crypto-cipher-types-0.0.9-fa48ad190fc6c6a5a7c89e2e1bf8325c
         securemem-0.1.3-00f8993a9f6b93d62e1ba60ca3d411b3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/cipher-aes-0.2.8/html/cipher-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/cipher-aes-0.2.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
